--- src/channel.c.orig	Sun Nov 26 23:11:49 2000
+++ src/channel.c	Thu Sep 13 08:19:49 2001
@@ -1187,7 +1187,7 @@
   chan_op = (user_mode & CHFL_CHANOP);
 
   /* has ops or is a server */
-  ischop = IsServer(sptr) || chan_op;
+  ischop = IsServer(sptr) || chan_op || IsAnOper(sptr);
 
   /* is client marked as deopped */
   isdeop = !ischop && !IsServer(sptr) && (user_mode & CHFL_DEOPPED);
@@ -1249,7 +1249,7 @@
         case 'v' :
           if (MyClient(sptr))
             {
-              if(!IsMember(sptr, chptr))
+              if(!IsMember(sptr, chptr) && !IsAnOper(sptr))
                 {
                   if(!errsent(SM_ERR_NOTONCHANNEL, &errors_sent))
                     sendto_one(sptr, form_str(ERR_NOTONCHANNEL),
@@ -1307,7 +1307,7 @@
               break;
             }
 
-          if ((who == sptr) && (c == 'o'))
+          if ((who == sptr) && (c == 'o') && !IsAnOper(sptr))
             {
               if(whatt == MODE_ADD)
                 break;
--- include/ircd_defs.h.orig	Thu Sep 13 07:44:17 2001
+++ include/ircd_defs.h	Thu Sep 13 08:05:15 2001
@@ -42,7 +42,7 @@
                                  */
 #define USERLEN         10
 #define REALLEN         50
-#define TOPICLEN        120     /* old value 90, truncated on other servers */
+#define TOPICLEN        600     /* old value 90, truncated on other servers */
 #define KILLLEN         90      
 #define CHANNELLEN      200
 #define KEYLEN          23
